# Attributes

The package overrides the `setAttribute()` and `getAttribute()` methods to allow direct access to translated attributes from the main model.

By default the locale returned by `Locales::current()` is used to get/set the attribute from the translation model. But you can also pass a locale after the attribute name like `title:en` this will get/set the `title` attribute from the `en` translation.

```php
app()->setLocale('en');

echo $post->title; // My first post
echo $post->{'title:de'}; // Mein erster Beitrag
$post->title = 'My first edited post';
echo $post->title; // My first edited post
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.astrotomic.info/laravel-translatable/usage/attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
